#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2001, 2016. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:  
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp. 
#*******************************************************************************
if cd "`dirname \"$0\"`"; then
    _SCRIPTDIR=`pwd`
    cd "$OLDPWD" || exit 1
else
    exit 1
fi

_JAVA_HOME="$_SCRIPTDIR/../../jre"

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$_SCRIPTDIR/../../../jre"
fi

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$JAVA_HOME"
fi

_RUNJAVA="$_JAVA_HOME/bin/java"

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA="$_JAVA_HOME/Contents/Home/bin/java"
fi

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA=java
fi

"$_RUNJAVA" -jar "$_SCRIPTDIR/AddNumbersServer.jar"
